package game

import (
	"sirlab.de/go/knyt/syncdata"
)

func (gm *Game) populateSyncDataCb(syncData *syncdata.SyncData) {
	syncData.GameInfo = gm.populateGameInfo()
}

func (gm *Game) populateGameInfo() syncdata.GameInfo {
	gm.mu.Lock()
	defer gm.mu.Unlock()

	return syncdata.GameInfo{
		GameId:  gm.id,
		State:   gm.state,
		Phase:   gm.phase,
		Players: gm.populateGetPlayers(),
		Round:   gm.populateGetRoundInfo(),
	}
}
